% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muñoz

% Calculo automático del estado de crecimiento del cultivo en una imagen
function estadoCrec = festadoCrec(im)

% Se utiliza el método E2 para eliminar las líneas de cultivo,
% calculando el numero de pixeles eliminados
proporcion_eliminados = eliminaLineasE2(im);

% Dependiendo de la proporcion de píxeles eliminados (cultivo)
% se calcula el estado de crecimiento
% Si menor del 30% --> BAJO
% Si mayor del 30% y menor del 55% --> MEDIO
% Si mayor del 55% --> ALTO

if(proporcion_eliminados <= 0.30) estadoCrec = 3;
elseif(proporcion_eliminados <= 0.55) estadoCrec = 2;
else estadoCrec = 1;
end;
  